Latest version of Firefox supported by CentOS 6.9?

Issues related to applications and software problems
Post Reply
emcclure
Posts: 3
Joined: 2019/10/02 18:55:11

Latest version of Firefox supported by CentOS 6.9?

Post by emcclure » 2019/10/02 19:51:54

Hello,

We have a testing environment here that uses a proxy and one of the Linux images we use is CentOS 6.9. We can configure the system settings, but unfortunately it appears that Firefox does not pick up on those settings. To set the proxy settings we do this:

cd /etc/profile.d/
sudo vi proxy.sh

lines include:
export http_proxy=http://my.proxy.address:port
export https_proxy=$http_proxy
export HTTP_PROXY=$http_proxy
export HTTPS_PROXY=$http_proxy
export no_proxy=localhost, 127.0.0.1, etc
export NO_PROXY=localhost, 127.0.0.1, etc

Then
sudo visudo
Add a line that's something like
env_keep +=http_proxy https_proxy HTTP_PROXY HTTPS_PROXY no_proxy NO_PROXY

There may be some quotes in there, but the idea is after a reboot and I type in 'env' in terminal I see the listing for all the proxy settings.

It seems the default Firefox installed with CentOS 6.9 is 52.2 I think if my memory serves me correctly.

I've tried downloading the newest copy from https://www.mozilla.org/en-US/firefox but that doesn't work. I've copied it to the /opt folder and copied it to /usr/local/bin and created a mozilla folder, done some sort of symbolic link and none of that works. I had a similar issue with SUSE 12 SP3 and was able to get it to work. That had started at Firefox 60.8 and running an update only got me to 60.9. With the CenOS 6.9 image if I run a yum update it goes to 60.9, not the latest which is version 69.

Am I missing something? Is there some set of steps guaranteed to work? If it's just not going to happen that's fine and I can let my team know there's no workaround, but I just want to cover everything first before I make that statement. Thanks in advance.

User avatar
TrevorH
Forum Moderator
Posts: 26955
Joined: 2009/09/24 10:40:56
Location: Brighton, UK

Re: Latest version of Firefox supported by CentOS 6.9?

Post by TrevorH » 2019/10/02 20:28:12

CentOS 6.9 is more than a year out of date. You should be running `yum update` on a regular basis to keep up to date. The current version of firefox on both CentOS 6 and 7 is 60.9.0-1. We ship the ESR version of firefox (Extended Support) which is why the version number appears older. Mozilla publish a timeline for ESR releases and the version will likely change when that next comes out.

Be aware that CentOS 6 has only about 1 more year of security updates before it goes entirely EOL.
CentOS 5 died in March 2017 - migrate NOW!
CentOS 6 goes EOL sooner rather than later, get upgrading!
Full time Geek, part time moderator. Use the FAQ Luke

emcclure
Posts: 3
Joined: 2019/10/02 18:55:11

Re: Latest version of Firefox supported by CentOS 6.9?

Post by emcclure » 2019/10/03 15:39:30

Hi TrevorH,

Thanks for the reply. I understand what you mean by it being out of date. However I work for a software company and we have customers who use older versions of operating systems and we need to support them. So it appears that Firefox 60.9.0-1 is the latest supported version on CentOS 6.9? If that's the case then that works for me. I'll let my team and others know.

User avatar
TrevorH
Forum Moderator
Posts: 26955
Joined: 2009/09/24 10:40:56
Location: Brighton, UK

Re: Latest version of Firefox supported by CentOS 6.9?

Post by TrevorH » 2019/10/03 18:02:06

we have customers who use older versions of operating systems and we need to support them
You are doing them a disservice by doing so. If you encourage them to stay on unsupported, unpatched, vulnerable systems then that is not a good thing. Only the current version of each major version is supported. That's 6.10, 7.7 and 8.0 at present. CentOS 6.9 is from early 2017 so is now 2.5 years out of date and has a list of security problems as long as your arm.
CentOS 5 died in March 2017 - migrate NOW!
CentOS 6 goes EOL sooner rather than later, get upgrading!
Full time Geek, part time moderator. Use the FAQ Luke

emcclure
Posts: 3
Joined: 2019/10/02 18:55:11

Re: Latest version of Firefox supported by CentOS 6.9?

Post by emcclure » 2019/10/03 18:06:55

Hi TrevorH,

I understand, but I'm not the one who makes those decisions. I can take this up with the other people on the team and let them know, but if our products still support those older OSes and customers still use them then there's not a whole lot I can do about that. You can always encourage customers to upgrade, but maybe they have something that they haven't tested on a newer version, are lazy, incompetent, whatever the case may be.

Post Reply

Return to “CentOS 6 - Software Support”